# 
# * Оператор цикла for и функция range
# 

"""
Подвиг 1. С помощью функции range() сформируйте следующую последовательность чисел:
0, 1, 2, ..., 10
Результат выведите в виде последовательности чисел, записанных через пробел в одну строчку.
Sample Input:

Sample Output:
0 1 2 3 4 5 6 7 8 9 10 
"""


# print(' '.join(map(str,list(range(11)))))


"""
Подвиг 2. С помощью функции range() сформируйте следующую последовательность чисел:
10, 9, 8, ..., 0
Результат выведите в виде последовательности чисел, записанных через пробел в одну строчку.
Sample Input:

Sample Output:
10 9 8 7 6 5 4 3 2 1 0
"""

# print(' '.join(map(str,list(range(10, -1, -1)))))

"""
Подвиг 3. С помощью функции range() сформируйте следующую последовательность чисел:
-10, -8, -6, -4, -2
Результат выведите в виде последовательности чисел, записанных через пробел в одну строчку.
Sample Input:

Sample Output:
-10 -8 -6 -4 -2
"""

# print(' '.join(map(str,list(range(-10, 0, 2)))))

"""
Подвиг 4. С помощью функции range() сформируйте следующую последовательность чисел:
1, 4, 7, 10, 13, 16, 19
Результат выведите в виде последовательности чисел, записанных через пробел в одну строчку.
Sample Input:

Sample Output:
1 4 7 10 13 16 19
"""

# print(' '.join(map(str,list(range(1, 20, 3)))))

"""
Подвиг 5. Вводятся целые числа в одну строчку через пробел.
Необходимо преобразовать эти данные в список целых чисел.
Затем, перебрать этот список в цикле for и просуммировать
все нечетные значения. Результат вывести на экран.
Sample Input:
8 11 -2 4 0 13 19 12 7
Sample Output:
50
"""
# lst = map(int, input().split(' '))
# s = 0
# for el in lst:
#     if el % 2 == 0:
#         continue
#     s += el
# print(s)

"""
Подвиг 6. Вводятся названия городов в одну строчку через пробел.
Необходимо преобразовать входные данные в список. Затем, перебрать
его циклом for и заменить значения элементов на длину названия
соответствующего города. Результат вывести на экран в виде
последовательности чисел через пробел в одну строчку.
Sample Input:
Москва Уфа Караганда Тверь Минск Казань
Sample Output:
6 3 9 5 5 6
"""

# lst = input().split(' ')
# for i in range(len(lst)):
#     lst[i] = len(lst[i])
# print(' '.join(map(str,lst)))

"""
Подвиг 7. Вводится натуральное число n.
С помощью цикла for найти все делители этого числа.
Найденные делители выводить сразу в столбик без формирования списка.
Sample Input:
12
Sample Output:
1
2
3
4
6
12
"""
# n = int(input())
# for d in range(1, n + 1):
#     if n % d == 0:
#         print(d)

""" Подвиг 8. Вводится натуральное число n. С помощью цикла for определить,
является ли оно простым (то есть, делится нацело только на само себя и на 1).
Вывести на экран ДА, если n простое и НЕТ - в противном случае.
Sample Input:
11
Sample Output:
ДА
"""
# n = int(input())
# for i in range(2,n):
#     if n % i == 0:
#         print('НЕТ')
#         exit()
# print('ДА')

"""
Подвиг 9. Вводится список названий городов в одну строчку через пробел.
Перебрать все эти названия с помощью цикла for и определить, начинается ли
название следующего города на последнюю букву предыдущего города в списке.
Если последними встречаются буквы 'ь', 'ъ', 'ы', то берется следующая с конца буква.
Вывести на экран ДА, если последовательность удовлетворяет этому правилу и НЕТ - в противном случае.
Sample Input:
Москва Астрахань Новгород Димитровград Душанбе
Sample Output:
ДА
"""
# cities = input().split(' ')
# for ci in range(1, len(cities)):
#     if cities[ci][0].upper() != cities[ci - 1].strip('ьъы')[-1].upper():
#         print('НЕТ')
#         exit()
# print('ДА')

"""
Подвиг 10. Вводится натуральное число n. Вычислить сумму всех натуральных чисел меньше n,
которые кратны или 3 или 5. Результат (сумму) вывести на экран.
Пример: n = 10, имеем числа: 3, 5, 6, 9. Их сумма равна 23.
Sample Input:
21
Sample Output:
98
"""
n = int(input())
s = sum(el for el in range(1, n) if el % 5 == 0 or el % 3 == 0)
print(s)
